
class BPDBException(Exception):

    def __init__(self, message):
        self.message = message
    
    def __str__(self):
        return self.message
        
class BPDBConstructionException(BPDBException):
    
    def __init__(self, message):
        BPDBException.__init__(self, message)

class BPDBProteinException(BPDBException):
    
    def __init__(self, structure_id):
        self.structure_id = str(structure_id)
    
    def __str__(self):
        return "\'%s\' has no polipeptyde chains" %(self.structure_id)
    
class BPDBxNAException(BPDBException):
    
    def __init__(self, structure_id):
        self.structure_id = str(structure_id)
    
    def __str__(self):
        return "\'%s\' has no nucleic acid chains" %(self.structure_id)
